%define upstream_name    Pod-Constants
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Pod::Constants - Include constants from POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SA/SAMV/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Parser) >= 1.130.0
BuildArch:  noarch

%description
Pod::Constants allows you to extract data from your POD at run-time,
meaning you can do things like declare constants in POD and not have
to update two places at once every time you make a change.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Pod/Constants.pm
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-3.mga8
+ Revision: 1506025
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.190.0-2.mga7
+ Revision: 1285737
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 sander85 <sander85> 0.190.0-1.mga7
+ Revision: 1132126
- update to 0.19

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1032251
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 968843
- Mageia 6 Mass Rebuild

* Mon Jul 20 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 855677
- update to 0.18

* Tue Jun 30 2015 sander85 <sander85> 0.170.0-1.mga6
+ Revision: 848762
- update to 0.17

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-5.mga5
+ Revision: 740606
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 685994
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 514152
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 371900
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 26856
- mageia rebuild
- imported package perl-Pod-Constants


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.0
+ Revision: 404292
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.16-4mdv2009.0
+ Revision: 258229
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.16-3mdv2009.0
+ Revision: 246291
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.16-1mdv2008.1
+ Revision: 104565
- update to new version 0.16

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-2mdv2008.0
+ Revision: 86794
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.15-1mdv2007.0
- rebuild

* Fri Jul 15 2005 Oden Eriksson <oeriksson@mandriva.com> 0.15-1mdk
- initial Mandriva package

